Jump to content
osx86.org

TinyUmbrella (latest) for 6.1.2 [win/mac] 1.0

Sign in to follow this  

About This File

dD.png

TinyUmbrella

TinyUmbrella is a combination of two earlier tools, both of which were written by semaphore. It requires Java and iTunes to be installed. (Windows users need the 32-bit version of Java, regardless of OS architecture).

  • Umbrella -- used to save the SHSH file of your iDevice to make it possible to later downgrade or restore the firmware. It even works with non-jailbroken devices.
  • TinyTSS -- local server used to playback saved SHSH files during an iTunes restore.

In addition, TinyUmbrella can also preserve the baseband on iPhone 4 (GSM model) devices.

Quick Notes

  • If Cydia returns only some of the SHSHs you desired, it is because Cydia does not have the others. Sorry. Nothing you can do to get them.
  • TinyUmbrella needs admin privileges to listen on port 80 and to change your hosts file.
  • Mac users:
    • Fixing your permissions can help with the 255 error on startup.
    • Mac users that just cannot get TinyUmbrella to work properly -- Install TinyUmbrella to your /Applications directory then run
      /Applications/TinyUmbrella.app/Contents/MacOS/umbrella-tool
      from the Terminal.
    • Disable Web Sharing (System Prefs -> Sharing -> Uncheck Web Sharing)

    [*]Windows users: Disable IIS (see for more info). Also make sure Apache is not running.

    [*]All users: Disable Skype while running TinyUmbrella.

    [*]Custom devices can be added by entering "Manual ECID."

    [*]Apple TVs must be plugged into an outlet as well as USB. Make sure your Apple TV is plugged into the wall, then plug in via USB. Reboot your AppleTV and then start TinyUmbrella.

Change Log

6.1.2 Support Update

fD.pngTinyUmbrella has been updated to work with iOS 6.1.2 on relevant devices. Make sure you don't update to 6.1.3 when it drops. I wasn't able to get 6.1.3 beta included (I just got too busy). But if you desire to keep your jailbreak, avoid 6.1.3 like the plague.

External Links




User Feedback

Recommended Comments

Have only 6.1.2 & 6.1.3 shsh saved on cydia. Any chance to downgrade the iPhone4-GSM to 5.1.1 or any other version?

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


×

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.